% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/api.R
\name{find_asset}
\alias{find_asset}
\title{Finds a single Asset matching the given filter criteria.
If multiple matching Assets are found, a random one is returned.}
\usage{
find_asset(db, name = NULL, type = NULL, tags = NULL, metadata = NULL)
}
\arguments{
\item{db}{Syre database connection.}

\item{name}{Name of the Asset to match.}

\item{type}{Type of the Asset to match.}

\item{tags}{List of tags the Asset has to match.}

\item{metadata}{Named list of metadata the Asset has to match.}
}
\value{
A single Asset, or \code{NULL} if none exist.
}
\description{
Finds a single Asset matching the given filter criteria.
If multiple matching Assets are found, a random one is returned.
}
\examples{
db <- database()
asset <- find_asset(db, name = "My Asset")
}
